Bug 802012 - llvmpipe renderer activated instead of nouveau
llvmpipe renderer activated instead of nouveau
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-10 04:00 EST by Andrew Travneff
Modified: 2012-03-12 05:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-11 20:38:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Travneff 2012-03-10 04:00:41 EST
It may be my setup mistake, but glxinfo shows llvmpipe renderer instead of nouveau when launched from user account different from that which has X session running. Launching from root shows correct info.

Steps to reproduce:

# useradd llvmtest

# xhost +local:

# sudo -u llvmtest glxinfo | grep -E 'OpenGL (vendor|renderer)'
OpenGL vendor string: VMware, Inc.
OpenGL renderer string: Gallium 0.4 on llvmpipe

# xhost -local:


Correct info:
OpenGL vendor string: nouveau
OpenGL renderer string: Gallium 0.4 on NV43

xorg.conf absent, just mouse and keyboard config files are present.

Video: 01:00.0 VGA compatible controller [0300]: nVidia Corporation NV43 [GeForce 6600] [10de:0141] (rev a2)
Comment 1 Ben Skeggs 2012-03-11 20:38:45 EDT
Yep, this isn't nouveau's fault.  You'll need an xorg.conf specifying appropriate permissions for the DRI option (see 'man xorg.conf') to "fix" this.
Comment 2 Andrew Travneff 2012-03-12 05:14:23 EDT
You are right, sorry. It doesn't look obvious ;) I've added the other user to "video" group and it works.

Note You need to log in before you can comment on or make changes to this bug.